#include "core/CoreIncludes.h"
#include "core/LuaState.h"
#include "core/GUIManager.h"
#include "core/class/Identifier.h"
#include "core/singleton/ScopedSingletonIncludes.h"
#include "network/Host.h"
#include "network/NetworkFunctionIncludes.h"
#include "DialogueManager.h"
#include "DialoguePrereqs.h"
#include <vector>
#include <string>

namespace orxonox {
	ManageScopedSingleton(DialogueManager, ScopeID::ROOT, false);
	RegisterClassNoArgs(DialogueManager);

	DialogueManager::DialogueManager(){
		RegisterObject(DialogueManager);
		this->setConfigValues();

	}
	
	/**
     * @brief set the config values in the orxonox.ini file
     */
    void DialogueManager::setConfigValues()
    {
        //SetConfigValue(question,std::string).description("Question");
        
    }

    void DialogueManager::setquestion(std::string question){
		question=question;
	}

	std::string DialogueManager::getquestion(void){
		return question;
	}
	void DialogueManager::XMLPort(Element& xmlelement, XMLPort::Mode mode)
    {
        SUPER(DialogueManager, XMLPort, xmlelement, mode);

        XMLPortParam(DialogueManager, "question", setquestion, getquestion, xmlelement, mode);
    }
	/*std::string DialogueManager::setnpc(std::string npc){
		return npc;
	}

	

	void DialogueManager::setanswers(std::string option1, std::string option2, std::string option3){
		options.at(0)=option1;
		options.at(1)=option2;
		options.at(2)=option3;
	}

	vector<std::string> DialogueManager::getanswers(void){
		return options;
	}

	int DialogueManager::getnumOptions(){
		return options.size();
	}

	*/
}